#
# spec file for package perl-Dist-Zilla-Plugin-Test-PodSpelling
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Plugin-Test-PodSpelling
Version:        2.007005
Release:        1.1
%define cpan_name Dist-Zilla-Plugin-Test-PodSpelling
Summary:        Author tests for POD spelling
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Plugin-Test-PodSpelling/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla) >= 5
BuildRequires:  perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires:  perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires:  perl(Dist::Zilla::Role::FileMunger)
BuildRequires:  perl(Dist::Zilla::Role::MetaProvider)
BuildRequires:  perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:  perl(Dist::Zilla::Role::TextTemplate)
BuildRequires:  perl(Dist::Zilla::Tester)
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(Test::Spelling) >= 0.12
BuildRequires:  perl(Test::Tester)
Requires:       perl(Dist::Zilla) >= 5
Requires:       perl(Dist::Zilla::Plugin::InlineFiles)
Requires:       perl(Dist::Zilla::Role::FileFinderUser)
Requires:       perl(Dist::Zilla::Role::FileMunger)
Requires:       perl(Dist::Zilla::Role::PrereqSource)
Requires:       perl(Dist::Zilla::Role::TextTemplate)
Requires:       perl(Moose)
Requires:       perl(Test::Spelling) >= 0.12
%{perl_requires}

%description
This is a plugin that runs at the gather files stage, providing the file:

  xt/author/pod-spell.t - a standard Test::Spelling test

Test::Spelling will be added as a develop prerequisite.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Mon Dec 18 2017 coolo@suse.com
- updated to 2.007005
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
  2.007005  2017-12-17 19:08:45Z
  - remove the use of Test::Script in tests
* Wed Jun 21 2017 coolo@suse.com
- updated to 2.007004
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
  2.007004  2016-10-27 02:00:39Z
  - fix tests to not rely on . in @INC (Graham Knop)
  2.007003  2016-09-17 01:13:11Z
  - only add 'bin', 'lib' to directories list if a custom list was not
    passed. This also prevents a directory from being tested twice.
  - keep the stopwords list in the __DATA__ section sorted, for
    smaller diffs
* Fri Jun 24 2016 coolo@suse.com
- updated to 2.007002
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
  2.007002  2016-05-29 04:09:13Z
  - fix broken test in MSWin32
  2.007001  2016-05-27 22:59:31Z
  - remove uses of Path::Class API, to fix warnings when used with
    Dist::Zilla 6.000
* Sat Oct 31 2015 coolo@suse.com
- updated to 2.007000
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
* Fri May  8 2015 coolo@suse.com
- updated to 2.006009
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
  2.006009  2015-05-04 03:08:46Z
  - first release under new management
  - minimum supported version lowered to 5.008
  - mark Dist::Zilla::Plugin::PodSpellingTests as deprecated in metadata
  - use the 'deprecated' warning category in [PodSpellingTests]
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.006008
  see /usr/share/doc/packages/perl-Dist-Zilla-Plugin-Test-PodSpelling/Changes
  2.006008  2014-06-17
  - register Test::Spelling as a development dependency ( haarg )
  2.006007  2014-03-05
  - munge the file properly even if [ExtraTests] has already moved it
  2.006006  2014-02-27
  - require Dist::Zilla 5
  Unicode Changes + 2.6.3 changes means tests only work on dzil 5+
  2.006005  2014-02-23
  - Document ExtraTests problem
  2.006004  2014-02-23
  - remove dependency on Path::Class in favor of Path::Tiny
  2.006003  2014-02-23
  - prevent distmeta from being populated too early by postponing
    calling it until the file munging phase
  2.006002  2013-12-19
  - fix problem with compile tests stalling on windows (chorny) GH #20
* Wed Oct  2 2013 coolo@suse.com
- initial package 2.006001
  * created by cpanspec 1.78.07
